org.apache.ignite.internal.processors.cache.persistence.wal.serializer

## Class TxRecordSerializer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.serializer.TxRecordSerializer

    public class TxRecordSerializer
    extends Object

`TxRecord` WAL serializer.

### Constructor Summary

Constructors
Constructor and Description
`TxRecordSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TxRecord` `read(ByteBufferBackedDataInput in)` Reads `TxRecord` from given input.
`int` `size(TxRecord rec)` Returns size of marshalled `TxRecord` in bytes.
`void` `write(TxRecord rec, ByteBuffer buf)` Writes `TxRecord` to given buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TxRecordSerializer

    public TxRecordSerializer()

### Method Detail

#### write

    public void write(TxRecord rec,
                      ByteBuffer buf)
               throws IgniteCheckedException

Writes `TxRecord` to given buffer.

Parameters:
  `rec` - TxRecord.
  `buf` - Byte buffer.
Throws:
  `IgniteCheckedException` - In case of fail.

#### read

    public TxRecord read(ByteBufferBackedDataInput in)
                  throws IOException,
                         IgniteCheckedException

Reads `TxRecord` from given input.

Parameters:
  `in` - Input
Returns:
  TxRecord.
Throws:
  `IOException` - In case of fail.
  `IgniteCheckedException` - In case of fail.

#### size

    public int size(TxRecord rec)
             throws IgniteCheckedException

Returns size of marshalled `TxRecord` in bytes.

Parameters:
  `rec` - TxRecord.
Returns:
  Size of TxRecord in bytes.
Throws:
  `IgniteCheckedException` - In case of fail.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018